## com.puppycrawl.tools.checkstyle.checks.coding
Class AbstractIllegalCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.AbstractIllegalCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  IllegalCatchCheck, IllegalThrowsCheck

    public abstract class AbstractIllegalCheck

extends Check

Support for checks that look for usage of illegal types.

Author:
  Oliver Burn

Constructor Summary
`protected` `AbstractIllegalCheck(String[] aInitialNames)` Constructs an object.

Method Summary
`protected boolean` `isIllegalClassName(String aIdent)` Checks if given class is illegal.
`void` `setIllegalClassNames(String[] aClassNames)` Set the list of illegal classes.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getDefaultTokens, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractIllegalCheck

    protected AbstractIllegalCheck(String[] aInitialNames)

  Constructs an object.

  Parameters:
    `aInitialNames` - the initial class names to treat as illegal

Method Detail

### isIllegalClassName

    protected final boolean isIllegalClassName(String aIdent)

  Checks if given class is illegal.

  Parameters:
    `aIdent` - ident to check.
  Returns:
    true if given ident is illegal.

### setIllegalClassNames

    public final void setIllegalClassNames(String[] aClassNames)

  Set the list of illegal classes.

  Parameters:
    `aClassNames` - array of illegal exception classes

Copyright © 2001-2011. All Rights Reserved.